People
curl --request GET \
--url https://api.themoviedb.org/3/trending/person/{time_window} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.themoviedb.org/3/trending/person/{time_window}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.themoviedb.org/3/trending/person/{time_window}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"page": 1,
"results": [
{
"adult": false,
"gender": 2,
"id": 2991672,
"known_for_department": "Production",
"media_type": "person",
"name": "Nicolas de la Torre",
"original_name": "Nicolas de la Torre",
"popularity": 0.001,
"profile_path": null
},
{
"adult": false,
"gender": 0,
"id": 1268173,
"known_for_department": "Acting",
"media_type": "person",
"name": "桃乃つぐみ",
"original_name": "桃乃つぐみ",
"popularity": 0.001,
"profile_path": null
},
{
"adult": false,
"gender": 2,
"id": 3450628,
"known_for_department": "Directing",
"media_type": "person",
"name": "Tony King",
"original_name": "Tony King",
"popularity": 0.001,
"profile_path": null
},
{
"adult": false,
"gender": 0,
"id": 2139542,
"known_for_department": "Camera",
"media_type": "person",
"name": "Geoffrey Storts",
"original_name": "Geoffrey Storts",
"popularity": 0.001,
"profile_path": null
},
{
"adult": false,
"gender": 0,
"id": 2006154,
"known_for_department": "Visual Effects",
"media_type": "person",
"name": "Guillaume Duchaussoy",
"original_name": "Guillaume Duchaussoy",
"popularity": 0.001,
"profile_path": null
},
{
"adult": false,
"gender": 2,
"id": 14639,
"known_for_department": "Acting",
"media_type": "person",
"name": "Mel Brooks",
"original_name": "Mel Brooks",
"popularity": 16.713,
"profile_path": "/c21qNcMJlHnRolfhQhZOVacjtwI.jpg"
},
{
"adult": false,
"gender": 0,
"id": 3682145,
"known_for_department": "Editing",
"media_type": "person",
"name": "Robert McMillian",
"original_name": "Robert McMillian",
"popularity": 0.001,
"profile_path": null
},
{
"adult": false,
"gender": 0,
"id": 1537548,
"known_for_department": "Acting",
"media_type": "person",
"name": "Julian Rosefeldt",
"original_name": "Julian Rosefeldt",
"popularity": 0.001,
"profile_path": null
},
{
"adult": false,
"gender": 2,
"id": 4407950,
"known_for_department": "Lighting",
"media_type": "person",
"name": "Nicolas Delgado de la Camara",
"original_name": "Nicolas Delgado de la Camara",
"popularity": 0.001,
"profile_path": null
},
{
"adult": false,
"gender": 2,
"id": 3681578,
"known_for_department": "Editing",
"media_type": "person",
"name": "Tony King",
"original_name": "Tony King",
"popularity": 0.001,
"profile_path": null
},
{
"adult": false,
"gender": 0,
"id": 1769947,
"known_for_department": "Camera",
"media_type": "person",
"name": "Glenn König",
"original_name": "Glenn König",
"popularity": 0.412,
"profile_path": null
},
{
"adult": false,
"gender": 1,
"id": 3424435,
"known_for_department": "Acting",
"media_type": "person",
"name": "Yoo Ji-hyun",
"original_name": "Yoo Ji-hyun",
"popularity": 78.379,
"profile_path": "/8qBnfSVKcf742nRQk9NCgadqNPc.jpg"
},
{
"adult": false,
"gender": 1,
"id": 19549,
"known_for_department": "Acting",
"media_type": "person",
"name": "Greta Garbo",
"original_name": "Greta Garbo",
"popularity": 7.409,
"profile_path": "/hiajoqd8tB46L059zHk6p7q5Y5Q.jpg"
},
{
"adult": false,
"gender": 2,
"id": 19429,
"known_for_department": "Acting",
"media_type": "person",
"name": "Bruce Lee",
"original_name": "Bruce Lee",
"popularity": 17.144,
"profile_path": "/vFtLJ37tjqPdq6oJr0OSpyo9Wcp.jpg"
},
{
"adult": false,
"gender": 1,
"id": 1201163,
"known_for_department": "Writing",
"media_type": "person",
"name": "Yuka Yamada",
"original_name": "山田由香",
"popularity": 1.96,
"profile_path": null
},
{
"adult": false,
"gender": 1,
"id": 2710789,
"known_for_department": "Acting",
"media_type": "person",
"name": "Seung Ha",
"original_name": "채승하",
"popularity": 26.098,
"profile_path": "/nvSJiHakYrDa3CedKSVOEsbLLX8.jpg"
},
{
"adult": false,
"gender": 1,
"id": 205,
"known_for_department": "Acting",
"media_type": "person",
"name": "Kirsten Dunst",
"original_name": "Kirsten Dunst",
"popularity": 42.376,
"profile_path": "/qx3W9gAjwbIwdDv18w1YLC3zgcN.jpg"
},
{
"adult": false,
"gender": 1,
"id": 5009979,
"known_for_department": null,
"media_type": "person",
"name": "河北彩花",
"original_name": "河北彩花",
"popularity": 4.36,
"profile_path": "/pDVfME2z2DiosnHFBALHvoSvqs5.jpg"
},
{
"adult": false,
"gender": 0,
"id": 4847885,
"known_for_department": "Art",
"media_type": "person",
"name": "William Biggerstaff",
"original_name": "William Biggerstaff",
"popularity": 0.001,
"profile_path": null
},
{
"adult": false,
"gender": 2,
"id": 3654015,
"known_for_department": "Directing",
"media_type": "person",
"name": "Nicolas de Lamothe",
"original_name": "Nicolas De Lamothe",
"popularity": 0.001,
"profile_path": null
}
],
"total_pages": 82,
"total_results": 1621
}People
This endpoint get the list of trending people.
GET
/
3
/
trending
/
person
/
{time_window}
People
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Available options:
day, week Query Parameters
Response
200 - application/json
People
Example:
1
Show child attributes
Show child attributes
Example:
[
{
"adult": false,
"gender": 2,
"id": 2991672,
"known_for_department": "Production",
"media_type": "person",
"name": "Nicolas de la Torre",
"original_name": "Nicolas de la Torre",
"popularity": 0.001,
"profile_path": null
},
{
"adult": false,
"gender": 0,
"id": 1268173,
"known_for_department": "Acting",
"media_type": "person",
"name": "桃乃つぐみ",
"original_name": "桃乃つぐみ",
"popularity": 0.001,
"profile_path": null
},
{
"adult": false,
"gender": 2,
"id": 3450628,
"known_for_department": "Directing",
"media_type": "person",
"name": "Tony King",
"original_name": "Tony King",
"popularity": 0.001,
"profile_path": null
},
{
"adult": false,
"gender": 0,
"id": 2139542,
"known_for_department": "Camera",
"media_type": "person",
"name": "Geoffrey Storts",
"original_name": "Geoffrey Storts",
"popularity": 0.001,
"profile_path": null
},
{
"adult": false,
"gender": 0,
"id": 2006154,
"known_for_department": "Visual Effects",
"media_type": "person",
"name": "Guillaume Duchaussoy",
"original_name": "Guillaume Duchaussoy",
"popularity": 0.001,
"profile_path": null
},
{
"adult": false,
"gender": 2,
"id": 14639,
"known_for_department": "Acting",
"media_type": "person",
"name": "Mel Brooks",
"original_name": "Mel Brooks",
"popularity": 16.713,
"profile_path": "/c21qNcMJlHnRolfhQhZOVacjtwI.jpg"
},
{
"adult": false,
"gender": 0,
"id": 3682145,
"known_for_department": "Editing",
"media_type": "person",
"name": "Robert McMillian",
"original_name": "Robert McMillian",
"popularity": 0.001,
"profile_path": null
},
{
"adult": false,
"gender": 0,
"id": 1537548,
"known_for_department": "Acting",
"media_type": "person",
"name": "Julian Rosefeldt",
"original_name": "Julian Rosefeldt",
"popularity": 0.001,
"profile_path": null
},
{
"adult": false,
"gender": 2,
"id": 4407950,
"known_for_department": "Lighting",
"media_type": "person",
"name": "Nicolas Delgado de la Camara",
"original_name": "Nicolas Delgado de la Camara",
"popularity": 0.001,
"profile_path": null
},
{
"adult": false,
"gender": 2,
"id": 3681578,
"known_for_department": "Editing",
"media_type": "person",
"name": "Tony King",
"original_name": "Tony King",
"popularity": 0.001,
"profile_path": null
},
{
"adult": false,
"gender": 0,
"id": 1769947,
"known_for_department": "Camera",
"media_type": "person",
"name": "Glenn König",
"original_name": "Glenn König",
"popularity": 0.412,
"profile_path": null
},
{
"adult": false,
"gender": 1,
"id": 3424435,
"known_for_department": "Acting",
"media_type": "person",
"name": "Yoo Ji-hyun",
"original_name": "Yoo Ji-hyun",
"popularity": 78.379,
"profile_path": "/8qBnfSVKcf742nRQk9NCgadqNPc.jpg"
},
{
"adult": false,
"gender": 1,
"id": 19549,
"known_for_department": "Acting",
"media_type": "person",
"name": "Greta Garbo",
"original_name": "Greta Garbo",
"popularity": 7.409,
"profile_path": "/hiajoqd8tB46L059zHk6p7q5Y5Q.jpg"
},
{
"adult": false,
"gender": 2,
"id": 19429,
"known_for_department": "Acting",
"media_type": "person",
"name": "Bruce Lee",
"original_name": "Bruce Lee",
"popularity": 17.144,
"profile_path": "/vFtLJ37tjqPdq6oJr0OSpyo9Wcp.jpg"
},
{
"adult": false,
"gender": 1,
"id": 1201163,
"known_for_department": "Writing",
"media_type": "person",
"name": "Yuka Yamada",
"original_name": "山田由香",
"popularity": 1.96,
"profile_path": null
},
{
"adult": false,
"gender": 1,
"id": 2710789,
"known_for_department": "Acting",
"media_type": "person",
"name": "Seung Ha",
"original_name": "채승하",
"popularity": 26.098,
"profile_path": "/nvSJiHakYrDa3CedKSVOEsbLLX8.jpg"
},
{
"adult": false,
"gender": 1,
"id": 205,
"known_for_department": "Acting",
"media_type": "person",
"name": "Kirsten Dunst",
"original_name": "Kirsten Dunst",
"popularity": 42.376,
"profile_path": "/qx3W9gAjwbIwdDv18w1YLC3zgcN.jpg"
},
{
"adult": false,
"gender": 1,
"id": 5009979,
"known_for_department": null,
"media_type": "person",
"name": "河北彩花",
"original_name": "河北彩花",
"popularity": 4.36,
"profile_path": "/pDVfME2z2DiosnHFBALHvoSvqs5.jpg"
},
{
"adult": false,
"gender": 0,
"id": 4847885,
"known_for_department": "Art",
"media_type": "person",
"name": "William Biggerstaff",
"original_name": "William Biggerstaff",
"popularity": 0.001,
"profile_path": null
},
{
"adult": false,
"gender": 2,
"id": 3654015,
"known_for_department": "Directing",
"media_type": "person",
"name": "Nicolas de Lamothe",
"original_name": "Nicolas De Lamothe",
"popularity": 0.001,
"profile_path": null
}
]
Example:
82
Example:
1621
⌘I